spack:
  url: git@gitlab.physik.uni-muenchen.de:LDAP_rbg/spack.git
  branch: lmu/ubuntu20.04-icon
  compiler: gcc@11.3.0

icon:
  version: 2.6.5-nwp0

python_environment:
  # Name of the virtual environment in the remote platform experiment folder
  folder_name: python_environment
  requirements:
    # Because there's an issue with numba, for now we need to keep a specific version of numpy
    - numpy==1.23
    - enstools-compression
    # Just to try a library from a git repository.
    - git+https://gitlab.physik.uni-muenchen.de/Oriol.Tinto/otils.git
    - f90nml

simulation:
  dynamics_grid_filename: icon_grid_0016_R02B06_G.nc
  radiation_grid_filename: icon_grid_0015_R02B05_R.nc
  external_parameters_filename: icon_extpar_0016_R02B06_G_20131206.nc
  date_format: '%Y-%m-%dT%H:%M:%SZ'
  namelist_paths:
    # Path to the namelists
    master: "%HPCROOTDIR%/namelists/real-from-dwd-ana/icon_master_real-from-dwd-ana.namelist"
    atmosphere: "%HPCROOTDIR%/namelists/real-from-dwd-ana/icon_atmosphere_real-from-dwd-ana.namelist"

  # List of output file names that will be copied (Wildcards * allowed)
  output_file_names: "init_DOM01_ML_*.nc latbc_DOM01_ML_*.nc"
  files_to_clean: "*.nc"

data_management:
  # Where do we put the output files afterwards?
  local_destination_folder: /scratch/o/Oriol.Tinto/tmp/

initial_conditions:
  # Where are we getting our initial data from?
  parent_folder: /archive/meteo/external-models/dwd/icon/oper/icon_oper_eps_gridded-global_rolling/
  member: 1

